## otpclient 2.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(OTPClient VERSION "2.3.2" LANGUAGES "C")

configure_file("src/common/version.h.in" "version.h")
include_directories(${PROJECT_BINARY_DIR})

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(USE_FLATPAK_APP_FOLDER "Use flatpak app's config folder to store the database" OFF)
option(BUILD_GUI "Build the GUI" ON)
option(BUILD_CLI "Build the CLI" ON)

set(CMAKE_C_STANDARD 11)
set(CMAKE_C_FLAGS "-Wall -Wextra -O3 -Wformat=2 -Wmissing-format-attribute -fstack-protector-strong -Wundef -Wmissing-format-attribute")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fdiagnostics-color=always -Wstrict-prototypes -Wunreachable-code")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wchar-subscripts -Wwrite-strings -Wpointer-arith -Wbad-function-cast -Wcast-align")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=format-security -Werror=implicit-function-declaration -Wno-sign-compare")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3")
if(CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pie -fPIE")
endif()
if(USE_FLATPAK_APP_FOLDER)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_FLATPAK_APP_FOLDER")
endif()
if(BUILD_GUI)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DBUILD_GUI")
endif()
if(BUILD_CLI)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DBUILD_CLI")
endif()


if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--no-add-needed -Wl,--as-needed -Wl,--no-undefined")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,relro,-z,now")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-add-needed -Wl,--as-needed")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-z,relro,-z,now")
endif()

find_package(PkgConfig REQUIRED)
find_package(Gcrypt 1.6.0 REQUIRED)
pkg_check_modules(COTP REQUIRED cotp>=1.2.1)
pkg_check_modules(PNG REQUIRED libpng>=1.2.0)
pkg_check_modules(LIBZIP REQUIRED libzip>=1.0.0)
pkg_check_modules(JANSSON REQUIRED jansson>=2.6.0)
pkg_check_modules(ZBAR REQUIRED zbar>=0.10)
pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.18.0)
pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.48.0)
pkg_check_modules(GIO REQUIRED gio-2.0>=2.48.0)

if(${ZBAR_VERSION} VERSION_EQUAL 0.10)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DZBAR_OLD_LIB")
endif ()

set(GUI_HEADER_FILES
        src/common/common.h
        src/add-common.h
        src/gui-common.h
        src/data.h
        src/db-misc.h
        src/file-size.h
        src/get-builder.h
        src/gquarks.h
        src/imports.h
        src/liststore-misc.h
        src/manual-add-cb.h
        src/message-dialogs.h
        src/otpclient.h
        src/parse-uri.h
        src/password-cb.h
        src/qrcode-parser.h
        src/treeview.h
        src/exports.h
        src/lock-app.h)

set(GUI_SOURCE_FILES
        src/common/common.c
        src/add-common.c
        src/andotp.c
        src/app.c
        src/authplus.c
        src/gui-common.c
        src/db-misc.c
        src/edit-data.c
        src/file-size.c
        src/get-builder.c
        src/gquarks.c
        src/imports.c
        src/liststore-misc.c
        src/main.c
        src/manual-add-cb.c
        src/message-dialogs.c
        src/parse-data.c
        src/parse-uri.c
        src/password-cb.c
        src/qrcode-parser.c
        src/screenshot-add-cb.c
        src/add-from-qr.c
        src/settings.c
        src/shortcuts.c
        src/treeview.c
        src/webcam-add-cb.c
        src/exports.c
        src/lock-app.c
        src/freeotp.c
        src/aegis.c)

set(CLI_HEADER_FILES
        src/cli/help.h
        src/cli/get-data.h
        src/common/common.h
        src/db-misc.h
        src/gquarks.h
        src/file-size.h)

set(CLI_SOURCE_FILES
        src/cli/main.c
        src/cli/help.c
        src/cli/get-data.c
        src/common/common.c
        src/db-misc.c
        src/gquarks.c
        src/file-size.c)
if(BUILD_GUI AND BUILD_CLI)
        list(APPEND CLI_SOURCE_FILES
                src/treeview.c
                src/liststore-misc.c
                src/gui-common.c
                src/message-dialogs.c)

        list(APPEND CLI_HEADER_FILES
                src/treeview.h
                src/liststore-misc.h
                src/gui-common.h
                src/message-dialogs.h)
endif()

if(BUILD_GUI)
        include_directories(${GTK3_INCLUDE_DIRS}
                ${GCRYPT_INCLUDE_DIRS}
                ${COTP_INCLUDE_DIRS}
                ${LIBZIP_INCLUDE_DIRS}
                ${PNG_INCLUDE_DIRS}
                ${JANSSON_INCLUDE_DIRS}
                ${ZBAR_INCLUDE_DIRS})

        add_executable(${PROJECT_NAME} ${GUI_SOURCE_FILES} ${GUI_HEADER_FILES})
        target_link_libraries(${PROJECT_NAME}
                ${GTK3_LIBRARIES}
                ${GCRYPT_LIBRARIES}
                ${COTP_LIBRARIES}
                ${LIBZIP_LIBRARIES}
                ${PNG_LIBRARIES}
                ${JANSSON_LIBRARIES}
                ${ZBAR_LIBRARIES})

        set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "otpclient")
        install(TARGETS ${PROJECT_NAME} DESTINATION bin)
endif()

if(BUILD_CLI)
        include_directories(${GTK3_INCLUDE_DIRS}
                ${GCRYPT_INCLUDE_DIRS}
                ${COTP_INCLUDE_DIRS}
                ${JANSSON_INCLUDE_DIRS})
        if(BUILD_GUI)
                include_directories(
                        ${LIBZIP_INCLUDE_DIRS}
                        ${PNG_INCLUDE_DIRS}
                        ${ZBAR_INCLUDE_DIRS})
        endif()

        add_executable(${PROJECT_NAME}-cli ${CLI_SOURCE_FILES} ${CLI_HEADER_FILES})
        target_link_libraries(${PROJECT_NAME}-cli
                ${GLIB2_LIBRARIES}
                ${GIO_LIBRARIES}
                ${GCRYPT_LIBRARIES}
                ${COTP_LIBRARIES}
                ${JANSSON_LIBRARIES})
        if(BUILD_GUI)
                target_link_libraries(${PROJECT_NAME}-cli
                        ${GTK3_LIBRARIES}
                        ${LIBZIP_LIBRARIES}
                        ${PNG_LIBRARIES}
                        ${ZBAR_LIBRARIES})
        endif()

        set_target_properties(${PROJECT_NAME}-cli PROPERTIES OUTPUT_NAME "otpclient-cli")
        install(TARGETS ${PROJECT_NAME}-cli DESTINATION bin)
endif()

install(FILES data/com.github.paolostivanin.OTPClient.desktop DESTINATION share/applications)
install(FILES data/com.github.paolostivanin.OTPClient.appdata.xml DESTINATION share/metainfo)

install(FILES src/ui/otpclient.ui DESTINATION share/otpclient)
install(FILES src/ui/shortcuts.ui DESTINATION share/otpclient)

install(FILES otpclient.1.gz DESTINATION share/man/man1)
install(FILES otpclient-cli.1.gz DESTINATION share/man/man1)

install(FILES data/icons/icon_x16.png DESTINATION share/icons/hicolor/16x16/apps RENAME com.github.paolostivanin.OTPClient.png)
install(FILES data/icons/icon_x24.png DESTINATION share/icons/hicolor/24x24/apps RENAME com.github.paolostivanin.OTPClient.png)
install(FILES data/icons/icon_x32.png DESTINATION share/icons/hicolor/32x32/apps RENAME com.github.paolostivanin.OTPClient.png)
install(FILES data/icons/icon_x48.png DESTINATION share/icons/hicolor/48x48/apps RENAME com.github.paolostivanin.OTPClient.png)
install(FILES data/icons/icon_x64.png DESTINATION share/icons/hicolor/64x64/apps RENAME com.github.paolostivanin.OTPClient.png)
install(FILES data/icons/icon_x128.png DESTINATION share/icons/hicolor/128x128/apps RENAME com.github.paolostivanin.OTPClient.png)
install(FILES data/icons/icon_x256.png DESTINATION share/icons/hicolor/256x256/apps RENAME com.github.paolostivanin.OTPClient.png)
install(FILES data/icons/icon_x512.png DESTINATION share/icons/hicolor/512x512/apps RENAME com.github.paolostivanin.OTPClient.png)
install(FILES data/icons/com.github.paolostivanin.OTPClient.svg DESTINATION share/icons/hicolor/scalable/apps)
install(FILES data/icons/com.github.paolostivanin.OTPClient-symbolic.svg DESTINATION share/icons/hicolor/scalable/apps)

=== debian/changelog ===
otpclient (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2.
  * debian/not-installed: created to list the files otpclient.1.gz and
    otpclient-cli.1.gz. Using the packaging manpage.
  * debian/otpclient.1: updated date and version.
  * debian/otpclient.install: added new icon.
  * debian/otpclient-cli.1: updated date and version.
  * debian/patches/001-use_debhelper_CFLAGS.patch:
      - Added 'Forwarded: not-needed'.
  * debian/watch: fixed syntax of pgpsigurlmangle option.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 01 Aug 2020 21:54:18 +0000

otpclient (2.3.1-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 15 Jul 2020 16:11:32 +0000

otpclient (2.3.1-1) unstable; urgency=low

  * Initial release. (Closes: #959692)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 20 Jun 2020 21:49:23 +0000

=== debian/control ===
Source: otpclient
Section: utils
Priority: optional
Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcotp-dev,
               libgcrypt20-dev,
               libgtk-3-dev,
               libjansson-dev,
               libpng-dev,
               libzbar-dev,
               libzip-dev,
               pkg-config
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/paolostivanin/OTPClient
Vcs-Browser: https://salsa.debian.org/debian/otpclient
Vcs-Git: https://salsa.debian.org/debian/otpclient.git

Package: otpclient
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: otpclient-cli (= ${binary:Version})
Description: Simple GTK+ software to generate OTPs (TOTP and HOTP)
 OTPClient is GTK+ software for two-factor authentication
 that supports both Time-based One-time Passwords (TOTP)
 and HMAC-Based One-Time Passwords (HOTP).
 .
 Features:
  - Support both TOTP and HOTP.
  - Support setting custom digits (between 4 and 10 inclusive).
  - Support setting a custom period (between 10 and 120 seconds inclusive).
  - Support SHA1, SHA256 and SHA512 algorithms.
  - Support for Steam codes.
  - Import encrypted Authenticator Plus backup.
  - Import and export encrypted and/or plain andOTP backup.
  - Import and export plain FreeOTPPlus backup (key URI format only).
  - Import and export plain Aegis backup (plain json only).
  - Local database is encrypted using AES256-GCM.
     * Key is derived using PBKDF2 with SHA512 and 100k iterations.
     * Decrypted file is never saved (and hopefully never swapped) to disk.
       While the app is running, the decrypted content resides
       in a "secure memory" buffer allocated by Gcrypt.

Package: otpclient-cli
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: otpclient (= ${binary:Version})
Description: command-line for OTPClient
 OTPClient-CLI is simplified version of OTPClient.
 Only two operations are supported:
  - list: this will print all pairs of account and issuer
    that are in the database.
  - show: this will show the OTP for a given account/issuer.

## otpclient 2.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(OTPClient VERSION "2.3.2" LANGUAGES "C")
+project(OTPClient VERSION "2.4.2" LANGUAGES "C")
 
 configure_file("src/common/version.h.in" "version.h")
 include_directories(${PROJECT_BINARY_DIR})
@@ -70,13 +70,13 @@
         src/password-cb.h
         src/qrcode-parser.h
         src/treeview.h
-        src/exports.h
-        src/lock-app.h)
+        src/common/exports.h
+        src/lock-app.h src/common/get-providers-data.h)
 
 set(GUI_SOURCE_FILES
         src/common/common.c
         src/add-common.c
-        src/andotp.c
+        src/common/andotp.c
         src/app.c
         src/authplus.c
         src/gui-common.c
@@ -102,8 +102,8 @@
         src/webcam-add-cb.c
         src/exports.c
         src/lock-app.c
-        src/freeotp.c
-        src/aegis.c)
+        src/common/freeotp.c
+        src/common/aegis.c)
 
 set(CLI_HEADER_FILES
         src/cli/help.h
@@ -111,7 +111,10 @@
         src/common/common.h
         src/db-misc.h
         src/gquarks.h
-        src/file-size.h)
+        src/file-size.h
+        src/common/exports.h
+        src/parse-uri.h
+        src/common/get-providers-data.h)
 
 set(CLI_SOURCE_FILES
         src/cli/main.c
@@ -120,7 +123,12 @@
         src/common/common.c
         src/db-misc.c
         src/gquarks.c
-        src/file-size.c)
+        src/file-size.c
+        src/parse-uri.c
+        src/common/andotp.c
+        src/common/aegis.c
+        src/common/freeotp.c)
+
 if(BUILD_GUI AND BUILD_CLI)
         list(APPEND CLI_SOURCE_FILES
                 src/treeview.c
@@ -195,16 +203,8 @@
 install(FILES src/ui/otpclient.ui DESTINATION share/otpclient)
 install(FILES src/ui/shortcuts.ui DESTINATION share/otpclient)
 
-install(FILES otpclient.1.gz DESTINATION share/man/man1)
-install(FILES otpclient-cli.1.gz DESTINATION share/man/man1)
-
-install(FILES data/icons/icon_x16.png DESTINATION share/icons/hicolor/16x16/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x24.png DESTINATION share/icons/hicolor/24x24/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x32.png DESTINATION share/icons/hicolor/32x32/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x48.png DESTINATION share/icons/hicolor/48x48/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x64.png DESTINATION share/icons/hicolor/64x64/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x128.png DESTINATION share/icons/hicolor/128x128/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x256.png DESTINATION share/icons/hicolor/256x256/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x512.png DESTINATION share/icons/hicolor/512x512/apps RENAME com.github.paolostivanin.OTPClient.png)
+install(FILES man/otpclient.1.gz DESTINATION share/man/man1)
+install(FILES man/otpclient-cli.1.gz DESTINATION share/man/man1)
+
 install(FILES data/icons/com.github.paolostivanin.OTPClient.svg DESTINATION share/icons/hicolor/scalable/apps)
 install(FILES data/icons/com.github.paolostivanin.OTPClient-symbolic.svg DESTINATION share/icons/hicolor/scalable/apps)

=== debian/changelog ===
otpclient (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2.
  * Update debian/otpclient.install.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Fri, 12 Feb 2021 19:34:39 +0000

otpclient (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1.
  * debian/manpage/otpclient-cli.txt: update.
  * debian/otpclient-cli.1: update.
  * debian/tests/control: add to perform a test.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 06 Jan 2021 18:25:54 +0000

otpclient (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0.
  * Bump Standards-Version to 4.5.1.
  * debian/gbp.conf: replace debian/master with debian/latest.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 31 Dec 2020 05:07:48 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libzbar-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/OTPClient
 Vcs-Browser: https://salsa.debian.org/debian/otpclient

=== debian/tests/control ===
Test-Command: otpclient-cli -v
Restrictions: superficial

Test-Command: xvfb-run -a otpclient &
Depends: @, xauth, xvfb

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/v?@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/v$1\/v$1\.tar\.gz\.asc/ \
https://github.com/paolostivanin/OTPClient/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## otpclient 2.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(OTPClient VERSION "2.4.2" LANGUAGES "C")
+project(OTPClient VERSION "2.4.4" LANGUAGES "C")
 
 configure_file("src/common/version.h.in" "version.h")
 include_directories(${PROJECT_BINARY_DIR})
@@ -11,11 +11,11 @@
 option(BUILD_CLI "Build the CLI" ON)
 
 set(CMAKE_C_STANDARD 11)
-set(CMAKE_C_FLAGS "-Wall -Wextra -O3 -Wformat=2 -Wmissing-format-attribute -fstack-protector-strong -Wundef -Wmissing-format-attribute")
+set(CMAKE_C_FLAGS "-Wall -Wextra -O2 -Wformat=2 -Wmissing-format-attribute -fstack-protector-strong -Wundef -Wmissing-format-attribute")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fdiagnostics-color=always -Wstrict-prototypes -Wunreachable-code")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wchar-subscripts -Wwrite-strings -Wpointer-arith -Wbad-function-cast -Wcast-align")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=format-security -Werror=implicit-function-declaration -Wno-sign-compare")
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2")
 if(CMAKE_COMPILER_IS_GNUCC)
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pie -fPIE")
 endif()

=== debian/changelog ===
otpclient (2.4.6-1) unstable; urgency=medium

  * New upstream version 2.4.6.
  * debian/copyright: update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 16 Nov 2021 13:41:25 +0000

otpclient (2.4.5-1) unstable; urgency=medium

  * New upstream version 2.4.5.
  * Bump Standards-Version to 4.6.0.1.
  * debian/tests/control: drop the superficial test and drop Test-Command that
    runs in the background with an ampersand. See #988591.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 13 Nov 2021 00:55:05 +0000

otpclient (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4.
  * Update debian/watch.
  * debian/patches/001-use_debhelper_CFLAGS.patch: refresh.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 17 Aug 2021 01:32:41 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libzbar-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/OTPClient
 Vcs-Browser: https://salsa.debian.org/debian/otpclient

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/refs\/tags\/v@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/v$1\/v$1\.tar\.gz\.asc/ \
https://github.com/paolostivanin/OTPClient/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## otpclient 2.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.5)
-project(OTPClient VERSION "2.4.4" LANGUAGES "C")
+cmake_minimum_required(VERSION 3.10)
+project(OTPClient VERSION "2.6.3" LANGUAGES "C")
 
 configure_file("src/common/version.h.in" "version.h")
 include_directories(${PROJECT_BINARY_DIR})
@@ -38,19 +38,20 @@
 endif()
 
 find_package(PkgConfig REQUIRED)
+find_package(Protobuf 3.6.0 REQUIRED)
 find_package(Gcrypt 1.6.0 REQUIRED)
 pkg_check_modules(COTP REQUIRED cotp>=1.2.1)
+pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.12)
 pkg_check_modules(PNG REQUIRED libpng>=1.2.0)
 pkg_check_modules(LIBZIP REQUIRED libzip>=1.0.0)
 pkg_check_modules(JANSSON REQUIRED jansson>=2.6.0)
-pkg_check_modules(ZBAR REQUIRED zbar>=0.10)
-pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.18.0)
+pkg_check_modules(ZBAR REQUIRED zbar>=0.20)
+pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.20.0)
 pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.48.0)
 pkg_check_modules(GIO REQUIRED gio-2.0>=2.48.0)
-
-if(${ZBAR_VERSION} VERSION_EQUAL 0.10)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DZBAR_OLD_LIB")
-endif ()
+pkg_check_modules(UUID REQUIRED uuid>=2.34.0)
+pkg_check_modules(PROTOC REQUIRED libprotobuf-c>=1.3.0)
+pkg_check_modules(LIBSECRET REQUIRED libsecret-1>=0.20.0)
 
 set(GUI_HEADER_FILES
         src/common/common.h
@@ -71,7 +72,13 @@
         src/qrcode-parser.h
         src/treeview.h
         src/common/exports.h
-        src/lock-app.h src/common/get-providers-data.h)
+        src/lock-app.h
+        src/common/get-providers-data.h
+        src/change-db-cb.h
+        src/new-db-cb.h
+        src/db-actions.h
+        src/google-migration.pb-c.h
+        src/secret-schema.h)
 
 set(GUI_SOURCE_FILES
         src/common/common.c
@@ -94,7 +101,6 @@
         src/parse-uri.c
         src/password-cb.c
         src/qrcode-parser.c
-        src/screenshot-add-cb.c
         src/add-from-qr.c
         src/settings.c
         src/shortcuts.c
@@ -103,7 +109,13 @@
         src/exports.c
         src/lock-app.c
         src/common/freeotp.c
-        src/common/aegis.c)
+        src/common/aegis.c
+        src/change-db-cb.c
+        src/new-db-cb.c
+        src/db-actions.c
+        src/change-file-cb.c
+        src/google-migration.pb-c.c
+        src/secret-schema.c)
 
 set(CLI_HEADER_FILES
         src/cli/help.h
@@ -114,7 +126,9 @@
         src/file-size.h
         src/common/exports.h
         src/parse-uri.h
-        src/common/get-providers-data.h)
+        src/common/get-providers-data.h
+        src/google-migration.pb-c.h
+        src/secret-schema.h)
 
 set(CLI_SOURCE_FILES
         src/cli/main.c
@@ -127,19 +141,30 @@
         src/parse-uri.c
         src/common/andotp.c
         src/common/aegis.c
-        src/common/freeotp.c)
+        src/common/freeotp.c
+        src/secret-schema.c
+        src/google-migration.pb-c.c)
 
 if(BUILD_GUI AND BUILD_CLI)
         list(APPEND CLI_SOURCE_FILES
                 src/treeview.c
                 src/liststore-misc.c
                 src/gui-common.c
+                src/add-common.c
+                src/imports.c
+                src/authplus.c
+                src/password-cb.c
+                src/get-builder.c
                 src/message-dialogs.c)
 
         list(APPEND CLI_HEADER_FILES
                 src/treeview.h
                 src/liststore-misc.h
                 src/gui-common.h
+                src/add-common.h
+                src/imports.h
+                src/password-cb.h
+                src/get-builder.h
                 src/message-dialogs.h)
 endif()
 
@@ -147,20 +172,28 @@
         include_directories(${GTK3_INCLUDE_DIRS}
                 ${GCRYPT_INCLUDE_DIRS}
                 ${COTP_INCLUDE_DIRS}
+                ${BASEENCODE_INCLUDE_DIRS}
                 ${LIBZIP_INCLUDE_DIRS}
                 ${PNG_INCLUDE_DIRS}
                 ${JANSSON_INCLUDE_DIRS}
-                ${ZBAR_INCLUDE_DIRS})
+                ${ZBAR_INCLUDE_DIRS}
+                ${UUID_INCLUDE_DIRS}
+                ${PROTOC_INCLUDE_DIRS}
+                ${LIBSECRET_INCLUDE_DIRS})
 
         add_executable(${PROJECT_NAME} ${GUI_SOURCE_FILES} ${GUI_HEADER_FILES})
         target_link_libraries(${PROJECT_NAME}
                 ${GTK3_LIBRARIES}
                 ${GCRYPT_LIBRARIES}
                 ${COTP_LIBRARIES}
+                ${BASEENCODE_LIBRARIES}
                 ${LIBZIP_LIBRARIES}
                 ${PNG_LIBRARIES}
                 ${JANSSON_LIBRARIES}
-                ${ZBAR_LIBRARIES})
+                ${ZBAR_LIBRARIES}
+                ${UUID_LIBRARIES}
+                ${PROTOC_LIBRARIES}
+                ${LIBSECRET_LIBRARIES})
 
         set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "otpclient")
         install(TARGETS ${PROJECT_NAME} DESTINATION bin)
@@ -169,13 +202,21 @@
 if(BUILD_CLI)
         include_directories(${GTK3_INCLUDE_DIRS}
                 ${GCRYPT_INCLUDE_DIRS}
+                ${BASEENCODE_INCLUDE_DIRS}
                 ${COTP_INCLUDE_DIRS}
-                ${JANSSON_INCLUDE_DIRS})
+                ${BASEENCODE_INCLUDE_DIRS}
+                ${JANSSON_INCLUDE_DIRS}
+                ${UUID_INCLUDE_DIRS}
+                ${PROTOC_INCLUDE_DIRS}
+                ${LIBSECRET_INCLUDE_DIRS})
         if(BUILD_GUI)
                 include_directories(
                         ${LIBZIP_INCLUDE_DIRS}
                         ${PNG_INCLUDE_DIRS}
-                        ${ZBAR_INCLUDE_DIRS})
+                        ${ZBAR_INCLUDE_DIRS}
+                        ${UUID_INCLUDE_DIRS}
+                        ${PROTOC_INCLUDE_DIRS}
+                        ${LIBSECRET_INCLUDE_DIRS})
         endif()
 
         add_executable(${PROJECT_NAME}-cli ${CLI_SOURCE_FILES} ${CLI_HEADER_FILES})
@@ -183,14 +224,21 @@
                 ${GLIB2_LIBRARIES}
                 ${GIO_LIBRARIES}
                 ${GCRYPT_LIBRARIES}
+                ${BASEENCODE_LIBRARIES}
                 ${COTP_LIBRARIES}
-                ${JANSSON_LIBRARIES})
+                ${JANSSON_LIBRARIES}
+                ${UUID_LIBRARIES}
+                ${LIBSECRET_LIBRARIES}
+                ${PROTOC_LIBRARIES})
         if(BUILD_GUI)
                 target_link_libraries(${PROJECT_NAME}-cli
                         ${GTK3_LIBRARIES}
                         ${LIBZIP_LIBRARIES}
                         ${PNG_LIBRARIES}
-                        ${ZBAR_LIBRARIES})
+                        ${ZBAR_LIBRARIES}
+                        ${PROTOC_LIBRARIES}
+                        ${LIBSECRET_LIBRARIES}
+                        ${UUID_LIBRARIES})
         endif()
 
         set_target_properties(${PROJECT_NAME}-cli PROPERTIES OUTPUT_NAME "otpclient-cli")

=== debian/changelog ===
otpclient (2.6.3-1) unstable; urgency=medium

  * New upstream version 2.6.3.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 08 Aug 2022 13:37:14 +0000

otpclient (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2.
  * Bump Standards-Version to 4.6.1.
  * Add new build dependencies: 'libbaseencode-dev', 'libprotobuf-c-dev',
    'libprotobuf-dev' and 'libsecret-1-dev'.
  * Refresh all patches.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 14 Jul 2022 15:32:09 +0000

otpclient (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 11 Apr 2022 12:12:48 +0000

otpclient (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 31 Mar 2022 17:08:20 +0000

otpclient (2.4.9.1-1) unstable; urgency=medium

  * New upstream version 2.4.9.1.
  * Update my email address.
  * Update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 07 Mar 2022 01:18:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: otpclient
 Section: utils
 Priority: optional
-Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
+Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               libbaseencode-dev,
                libcotp-dev,
                libgcrypt20-dev,
                libgtk-3-dev,
                libjansson-dev,
                libpng-dev,
+               libprotobuf-c-dev,
+               libprotobuf-dev,
+               libsecret-1-dev,
                libzbar-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/OTPClient
 Vcs-Browser: https://salsa.debian.org/debian/otpclient

## otpclient 3.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,11 @@
-cmake_minimum_required(VERSION 3.10)
-project(OTPClient VERSION "2.6.3" LANGUAGES "C")
+cmake_minimum_required(VERSION 3.16)
+project(OTPClient VERSION "3.1.3" LANGUAGES "C")
+include(GNUInstallDirs)
 
 configure_file("src/common/version.h.in" "version.h")
+
+set (GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
+
 include_directories(${PROJECT_BINARY_DIR})
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -28,6 +32,7 @@
 if(BUILD_CLI)
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DBUILD_CLI")
 endif()
+add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
 
 
 if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
@@ -41,17 +46,20 @@
 find_package(Protobuf 3.6.0 REQUIRED)
 find_package(Gcrypt 1.6.0 REQUIRED)
 pkg_check_modules(COTP REQUIRED cotp>=1.2.1)
-pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.12)
+if(${COTP_VERSION} LESS 2.0.0)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCOTP_OLD_LIB")
+  pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.12)
+endif()
 pkg_check_modules(PNG REQUIRED libpng>=1.2.0)
-pkg_check_modules(LIBZIP REQUIRED libzip>=1.0.0)
-pkg_check_modules(JANSSON REQUIRED jansson>=2.6.0)
+pkg_check_modules(JANSSON REQUIRED jansson>=2.10.0)
 pkg_check_modules(ZBAR REQUIRED zbar>=0.20)
 pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.20.0)
-pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.48.0)
-pkg_check_modules(GIO REQUIRED gio-2.0>=2.48.0)
+pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.64.0)
+pkg_check_modules(GIO REQUIRED gio-2.0>=2.64.0)
 pkg_check_modules(UUID REQUIRED uuid>=2.34.0)
 pkg_check_modules(PROTOC REQUIRED libprotobuf-c>=1.3.0)
 pkg_check_modules(LIBSECRET REQUIRED libsecret-1>=0.20.0)
+pkg_check_modules(LIBQRENCODE REQUIRED libqrencode>=4.0.2)
 
 set(GUI_HEADER_FILES
         src/common/common.h
@@ -78,17 +86,22 @@
         src/new-db-cb.h
         src/db-actions.h
         src/google-migration.pb-c.h
-        src/secret-schema.h)
+        src/secret-schema.h
+        src/change-pwd-cb.h
+        src/settings-cb.h
+        src/shortcuts-cb.h
+        src/webcam-add-cb.h
+        src/edit-row-cb.h
+        src/show-qr-cb.h)
 
 set(GUI_SOURCE_FILES
         src/common/common.c
         src/add-common.c
         src/common/andotp.c
         src/app.c
-        src/authplus.c
         src/gui-common.c
         src/db-misc.c
-        src/edit-data.c
+        src/edit-row-cb.c
         src/file-size.c
         src/get-builder.c
         src/gquarks.c
@@ -102,8 +115,8 @@
         src/password-cb.c
         src/qrcode-parser.c
         src/add-from-qr.c
-        src/settings.c
-        src/shortcuts.c
+        src/settings-cb.c
+        src/shortcuts-cb.c
         src/treeview.c
         src/webcam-add-cb.c
         src/exports.c
@@ -115,7 +128,11 @@
         src/db-actions.c
         src/change-file-cb.c
         src/google-migration.pb-c.c
-        src/secret-schema.c)
+        src/secret-schema.c
+        src/about_diag_cb.c
+        src/show-qr-cb.c
+        src/setup-signals-shortcuts.c
+        src/change-pwd-cb.c)
 
 set(CLI_HEADER_FILES
         src/cli/help.h
@@ -152,7 +169,6 @@
                 src/gui-common.c
                 src/add-common.c
                 src/imports.c
-                src/authplus.c
                 src/password-cb.c
                 src/get-builder.c
                 src/message-dialogs.c)
@@ -179,7 +195,8 @@
                 ${ZBAR_INCLUDE_DIRS}
                 ${UUID_INCLUDE_DIRS}
                 ${PROTOC_INCLUDE_DIRS}
-                ${LIBSECRET_INCLUDE_DIRS})
+                ${LIBSECRET_INCLUDE_DIRS}
+                ${LIBQRENCODE_INCLUDE_DIRS})
 
         add_executable(${PROJECT_NAME} ${GUI_SOURCE_FILES} ${GUI_HEADER_FILES})
         target_link_libraries(${PROJECT_NAME}
@@ -193,7 +210,8 @@
                 ${ZBAR_LIBRARIES}
                 ${UUID_LIBRARIES}
                 ${PROTOC_LIBRARIES}
-                ${LIBSECRET_LIBRARIES})
+                ${LIBSECRET_LIBRARIES}
+                ${LIBQRENCODE_LIBRARIES})
 
         set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "otpclient")
         install(TARGETS ${PROJECT_NAME} DESTINATION bin)
@@ -204,7 +222,6 @@
                 ${GCRYPT_INCLUDE_DIRS}
                 ${BASEENCODE_INCLUDE_DIRS}
                 ${COTP_INCLUDE_DIRS}
-                ${BASEENCODE_INCLUDE_DIRS}
                 ${JANSSON_INCLUDE_DIRS}
                 ${UUID_INCLUDE_DIRS}
                 ${PROTOC_INCLUDE_DIRS}
@@ -214,9 +231,7 @@
                         ${LIBZIP_INCLUDE_DIRS}
                         ${PNG_INCLUDE_DIRS}
                         ${ZBAR_INCLUDE_DIRS}
-                        ${UUID_INCLUDE_DIRS}
-                        ${PROTOC_INCLUDE_DIRS}
-                        ${LIBSECRET_INCLUDE_DIRS})
+                        ${LIBQRENCODE_INCLUDE_DIRS})
         endif()
 
         add_executable(${PROJECT_NAME}-cli ${CLI_SOURCE_FILES} ${CLI_HEADER_FILES})
@@ -238,7 +253,8 @@
                         ${ZBAR_LIBRARIES}
                         ${PROTOC_LIBRARIES}
                         ${LIBSECRET_LIBRARIES}
-                        ${UUID_LIBRARIES})
+                        ${UUID_LIBRARIES}
+                        ${LIBQRENCODE_LIBRARIES})
         endif()
 
         set_target_properties(${PROJECT_NAME}-cli PROPERTIES OUTPUT_NAME "otpclient-cli")

=== debian/changelog ===
otpclient (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 17 Jan 2023 11:50:22 +0000

otpclient (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1.
  * Refresh debian/patches/001-use_debhelper_CFLAGS.patch.
  * Add new build-depends 'libqrencode-dev'.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 05 Jan 2023 16:18:02 +0000

otpclient (2.6.3-2) unstable; urgency=medium

  * Update the search rule in debian/watch.
  * Drop debian/salsa-ci.yml.
  * Update packaging copyright years.
  * Bump Standards-Version to 4.6.2.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 03 Jan 2023 14:40:51 +0000

## otpclient 3.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(OTPClient VERSION "3.1.3" LANGUAGES "C")
+project(OTPClient VERSION "3.1.4" LANGUAGES "C")
 include(GNUInstallDirs)
 
 configure_file("src/common/version.h.in" "version.h")
@@ -44,14 +44,14 @@
 
 find_package(PkgConfig REQUIRED)
 find_package(Protobuf 3.6.0 REQUIRED)
-find_package(Gcrypt 1.6.0 REQUIRED)
-pkg_check_modules(COTP REQUIRED cotp>=1.2.1)
+find_package(Gcrypt 1.8.0 REQUIRED)
+pkg_check_modules(COTP REQUIRED cotp>=1.2.8)
 if(${COTP_VERSION} LESS 2.0.0)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCOTP_OLD_LIB")
-  pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.12)
-endif()
-pkg_check_modules(PNG REQUIRED libpng>=1.2.0)
-pkg_check_modules(JANSSON REQUIRED jansson>=2.10.0)
+  pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.15)
+endif()
+pkg_check_modules(PNG REQUIRED libpng>=1.6.35)
+pkg_check_modules(JANSSON REQUIRED jansson>=2.12)
 pkg_check_modules(ZBAR REQUIRED zbar>=0.20)
 pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.20.0)
 pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.64.0)

=== debian/changelog ===
otpclient (3.1.4-1) unstable; urgency=medium

  * New upstream version 3.1.4.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 27 Feb 2023 11:58:30 +0000

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                libpng-dev,
                libprotobuf-c-dev,
                libprotobuf-dev,
+               libqrencode-dev,
                libsecret-1-dev,
                libzbar-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/OTPClient
 Vcs-Browser: https://salsa.debian.org/debian/otpclient

## otpclient 3.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(OTPClient VERSION "3.1.4" LANGUAGES "C")
+project(OTPClient VERSION "3.1.9" LANGUAGES "C")
 include(GNUInstallDirs)
 
 configure_file("src/common/version.h.in" "version.h")
@@ -50,10 +50,10 @@
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCOTP_OLD_LIB")
   pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.15)
 endif()
-pkg_check_modules(PNG REQUIRED libpng>=1.6.35)
+pkg_check_modules(PNG REQUIRED libpng>=1.6.30)
 pkg_check_modules(JANSSON REQUIRED jansson>=2.12)
 pkg_check_modules(ZBAR REQUIRED zbar>=0.20)
-pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.20.0)
+pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.24.0)
 pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.64.0)
 pkg_check_modules(GIO REQUIRED gio-2.0>=2.64.0)
 pkg_check_modules(UUID REQUIRED uuid>=2.34.0)
@@ -92,7 +92,7 @@
         src/shortcuts-cb.h
         src/webcam-add-cb.h
         src/edit-row-cb.h
-        src/show-qr-cb.h)
+        src/show-qr-cb.h src/dbinfo-cb.h)
 
 set(GUI_SOURCE_FILES
         src/common/common.c
@@ -132,7 +132,7 @@
         src/about_diag_cb.c
         src/show-qr-cb.c
         src/setup-signals-shortcuts.c
-        src/change-pwd-cb.c)
+        src/change-pwd-cb.c src/dbinfo-cb.c)
 
 set(CLI_HEADER_FILES
         src/cli/help.h

=== debian/changelog ===
otpclient (3.1.9-1) unstable; urgency=medium

  * New upstream version 3.1.9.
  * Update upstream copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 25 Jul 2023 12:51:06 +0000

otpclient (3.1.8-2) unstable; urgency=medium

  * Remove libbaseencode-dev from Build-Depends field.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 27 Jun 2023 18:35:45 +0000

otpclient (3.1.8-1) unstable; urgency=medium

  * New upstream version 3.1.8.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 27 Jun 2023 18:25:16 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbaseencode-dev,
                libcotp-dev,
                libgcrypt20-dev,
                libgtk-3-dev,

## otpclient 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(OTPClient VERSION "3.1.9" LANGUAGES "C")
+project(OTPClient VERSION "3.2.1" LANGUAGES "C")
 include(GNUInstallDirs)
 
 configure_file("src/common/version.h.in" "version.h")

=== debian/changelog ===
otpclient (3.2.1-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:15 +1100

otpclient (3.2.1-2build3) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:14:01 +0000

otpclient (3.2.1-2build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:47:40 +0000

otpclient (3.2.1-2build1) noble; urgency=medium

  * Rebuild against 'new libcotp3'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jan 2024 20:33:19 +0100

otpclient (3.2.1-2) unstable; urgency=medium

  * Rebuild against libcotp (2.1.0-1). (Closes: #1057369)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 11 Dec 2023 17:05:45 +0000

otpclient (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 06 Nov 2023 17:15:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: otpclient
 Section: utils
 Priority: optional
-Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libcotp-dev,

## otpclient 3.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(OTPClient VERSION "3.6.0" LANGUAGES "C")
include(GNUInstallDirs)

configure_file("src/common/version.h.in" "version.h")

set (GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})

include_directories(${PROJECT_BINARY_DIR})

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(IS_FLATPAK "Use flatpak app's config folder to store the database" OFF)
option(BUILD_GUI "Build the GTK UI" ON)
option(BUILD_CLI "Build the CLI" ON)

set(CMAKE_C_STANDARD 11)
set(COMMON_C_FLAGS
        "-Wall -Wextra -O3 -Wformat=2 -Wmissing-format-attribute -fstack-protector-strong"
        "-Wundef -Wmissing-format-attribute -fdiagnostics-color=always"
        "-Wstrict-prototypes -Wunreachable-code -Wchar-subscripts"
        "-Wwrite-strings -Wpointer-arith -Wbad-function-cast -Wcast-align"
        "-Werror=format-security -Werror=implicit-function-declaration -Wno-sign-compare"
        "-U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3"
)

if(CMAKE_COMPILER_IS_GNUCC)
    list(APPEND COMMON_C_FLAGS "-pie -fPIE")
endif()

if(IS_FLATPAK)
    list(APPEND COMMON_C_FLAGS "-DIS_FLATPAK")
endif()

string(REPLACE ";" " " COMMON_C_FLAGS "${COMMON_C_FLAGS}")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${COMMON_C_FLAGS}")

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    set(COMMON_LINKER_FLAGS
            "-Wl,--no-add-needed -Wl,--as-needed -Wl,--no-undefined"
            "-Wl,-z,relro,-z,now"
    )

    string(REPLACE ";" " " COMMON_LINKER_FLAGS "${COMMON_LINKER_FLAGS}")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${COMMON_LINKER_FLAGS}")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${COMMON_LINKER_FLAGS}")
endif()

add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")


if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--no-add-needed -Wl,--as-needed -Wl,--no-undefined")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,relro,-z,now")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-add-needed -Wl,--as-needed")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-z,relro,-z,now")
endif()

find_package(PkgConfig REQUIRED)
find_package(Protobuf 3.6.0 REQUIRED)
find_package(Gcrypt 1.10.1 REQUIRED)
pkg_check_modules(COTP REQUIRED cotp>=3.0.0)
pkg_check_modules(PNG REQUIRED libpng>=1.6.30)
pkg_check_modules(JANSSON REQUIRED jansson>=2.12)
pkg_check_modules(ZBAR REQUIRED zbar>=0.20)
pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.24.0)
pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.68.0)
pkg_check_modules(GIO REQUIRED gio-2.0>=2.68.0)
pkg_check_modules(UUID REQUIRED uuid>=2.34.0)
pkg_check_modules(PROTOC REQUIRED libprotobuf-c>=1.3.0)
pkg_check_modules(LIBSECRET REQUIRED libsecret-1>=0.20.0)
pkg_check_modules(LIBQRENCODE REQUIRED libqrencode>=4.0.2)

set(COMMON_INCDIRS
        ${GCRYPT_INCLUDE_DIRS}
        ${COTP_INCLUDE_DIRS}
        ${JANSSON_INCLUDE_DIRS}
        ${UUID_INCLUDE_DIRS}
        ${PROTOC_INCLUDE_DIRS}
        ${LIBSECRET_INCLUDE_DIRS}
        ${LIBQRENCODE_INCLUDE_DIRS}
)

set(COMMON_LIBS
        ${GCRYPT_LIBRARIES}
        ${COTP_LIBRARIES}
        ${JANSSON_LIBRARIES}
        ${UUID_LIBRARIES}
        ${PROTOC_LIBRARIES}
        ${LIBSECRET_LIBRARIES}
        ${LIBQRENCODE_LIBRARIES}
)

if(BUILD_GUI)
    add_subdirectory(src/gui)
    target_link_libraries(${PROJECT_NAME}
            ${GTK3_LIBRARIES}
            ${PNG_LIBRARIES}
            ${ZBAR_LIBRARIES}
            ${COMMON_LIBS}
    )
    set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "otpclient")

    install(TARGETS ${PROJECT_NAME} DESTINATION bin)
    install(FILES data/com.github.paolostivanin.OTPClient.desktop DESTINATION share/applications)
    install(FILES man/otpclient.1.gz DESTINATION share/man/man1)

    set(GUI_UI_FILES
            src/gui/ui/otpclient.ui
            src/gui/ui/add_popover.ui
            src/gui/ui/settings_popover.ui
            src/gui/ui/shortcuts.ui
    )
    install(FILES ${GUI_UI_FILES} DESTINATION share/otpclient)

    set(GUI_ICON_FILES
            data/icons/com.github.paolostivanin.OTPClient.svg
            data/icons/com.github.paolostivanin.OTPClient-symbolic.svg
    )
    install(FILES ${GUI_ICON_FILES} DESTINATION share/icons/hicolor/scalable/apps)
endif ()

if(BUILD_CLI)
    add_subdirectory(src/cli)
    target_link_libraries(${PROJECT_NAME}-cli
            ${COMMON_LIBS}
    )
    set_target_properties(${PROJECT_NAME}-cli PROPERTIES OUTPUT_NAME "otpclient-cli")

    install(TARGETS ${PROJECT_NAME}-cli DESTINATION bin)
    install(FILES man/otpclient-cli.1.gz DESTINATION share/man/man1)
endif()

install(FILES data/com.github.paolostivanin.OTPClient.appdata.xml DESTINATION share/metainfo)

=== debian/changelog ===
otpclient (3.6.0-3) unstable; urgency=medium

  * Add debian/patches/002-fix-freeotp-export.patch. (Closes: #1074263)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 27 Jun 2024 14:01:23 +0000

otpclient (3.6.0-2) unstable; urgency=medium

  * Update debian/otpclient-cli.1. (Closes: #1074260)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Wed, 26 Jun 2024 15:51:36 +0000

otpclient (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0.
  * Refresh debian/patches/001-use_debhelper_CFLAGS.patch.
  * Update debian/otpclient.install.
  * Change from pkg-config to pkgconf in the Build-Depends field.
  * Update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 29 Apr 2024 00:51:43 +0000
